<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Топ сообществ';

require '../sys/inc/thead.php';
title();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<div class='fyt'>\n";
echo'<img src="img/open.png" alt="open"/> - Открытые для вступления<br/>';
echo'<img src="img/close.png" alt="close"/> - Закрытые для вступления<br/>';
echo'<img src="img/money.png" alt="money"/> - Вступление платное (за баллы)';
echo "</div>\n";
//echo '<table class="post">';
if ($k_post==0)
{
echo '<tr>';
echo '<div class="p_t">';
echo 'Нет сообществ';
echo '</div>';
echo '</tr>';
}
$q=mysql_query("SELECT * FROM `soo` ORDER BY `users` DESC LIMIT $start, $set[p_str]");
while ($comm = mysql_fetch_assoc($q))
{
$razdel=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo_cat` WHERE `id` = '$comm[id_cat]' LIMIT 1"));
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
if($comm['konf_soo']==0 || $comm['konf_soo']==1)echo'<img src="img/open.png" alt="open"/> '; elseif($comm['konf_soo']==2)echo'<img src="img/money.png" alt="money"/> '; else echo'<img src="img/close.png" alt="close"/> ';
//echo '</td>';
echo '<a href="/soo/'.$comm['id'].'">'.$comm['name'].'</a>';
if($comm['ban']!=NULL && $comm['ban']>$time)echo' [BAN]';
$count = $comm['users']+1;
echo ' (Участников: '.$count.')<br />';


echo '<span class="ank_n">Описание:</span> <span class="ank_d">'.output_text($comm['desc']).'</span><br />';
echo '<span class="ank_n">Раздел:</span> <a href="index.php?r='.$razdel['id'].'">'.$razdel['name'].'</a><br/>';
$admid=get_user($comm['admid']);
if(isset($user) && $user['level']>=3 && $user['id']!=$comm['admid'] && $user['level']>$admid['level'])
{
echo'[<a href="ban.php?s='.$comm['id'].'">Нарушения</a>]';
}

echo '</div>';
}
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
echo "<div class='fyt'>\n";
echo '<img src="img/back.png" alt=""/> <a href="/soo/">Сообщества</a><br/>';
echo "</div>\n";
require '../sys/inc/tfoot.php';
?>